# react-static-plugin-emotion

A [React-Static](https://react-static.js.org) plugin that adds CSS-in-JS/SSR support for [emotion &amp; react-emotion](https://github.com/emotion-js/emotion)

## Installation

In an existing react-static site run:

```bash
$ yarn add react-static-plugin-emotion
```

Then add the plugin to your `static.config.js`:

```javascript
export default {
  plugins: ["react-static-plugin-emotion"]
};
```

## What does this plugin do under the hood?

- Uses the `tapHtml` API to run [`emotion-server`'s `renderStylesToString` function](https://emotion.sh/docs/ssr) on the resulting HTML generated by react-static. This critically inlines any needed css for the exported page right into the html string. Sweet!
