"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _react2 = require("@emotion/react");

var _cache = _interopRequireDefault(require("@emotion/cache"));

var _createInstance = _interopRequireDefault(require("@emotion/server/create-instance"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var cache = (0, _cache["default"])({
  key: 'react-static-styles'
});

var _createEmotionServer = (0, _createInstance["default"])(cache),
    renderStylesToString = _createEmotionServer.renderStylesToString;

var _default = function _default() {
  return {
    beforeRenderToElement: function beforeRenderToElement(App) {
      return function (props) {
        return /*#__PURE__*/_react["default"].createElement(_react2.CacheProvider, {
          value: cache
        }, /*#__PURE__*/_react["default"].createElement(App, props));
      };
    },
    // Tap into the beforeHtmlToDocument hook and use emotion-server
    // to critically inline the styles from the original
    // html into the a new html string
    beforeHtmlToDocument: renderStylesToString
  };
};

exports["default"] = _default;